import { useState } from "react"
import { login } from '@/services/login'



export default () => {
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()
  const [userPhoneInfo, setUserPhoneInfo] = useState()

  console.log("🚀 ~ file: userData.js ~ line 8 ~ person", person)



  const logins = (params) => {
    login(params).then((res) => {
      const { person: taPerson, sessionKey: skey } = res;
      setPerson(taPerson);
      setSessionKey(skey);
    })
  }

  return {
    person,
    sessionKey,

    setPerson,
    setSessionKey,

    userPhoneInfo,
    setUserPhoneInfo,

    logins,
  }
}