

import {
  View, Image, Input, Picker,
  Text
} from "@tarojs/components"

import { useState } from "react"
import CustomNav from "@/components/CustomNav"
import searchs from '@/assets/homesImgaes/searchs.png'//搜索图片
import { getMachineryType } from "@/services/homes"
import CarsListContent from "@/components/CarsListContent"

import './style.less'




export default (props) => {
  const [activeTab, setActiveTab] = useState(1)


  const handleSearch = (e) => {
    console.log(e.detail.value)
  }

  const tabs = [
    {
      title: '全部',
    },
    {
      title: '收割机',
    },
    {
      title: '水稻机',
    },
    {
      title: '战斗机',
    },
    {
      title: '清障机',
    },
  ]



  const handleTabChange = (e) => {
    console.log('e', e.detail.index);
    const { index } = e.detail
    setActiveTab(index)
  }


  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='更多' />
      </View>
      <scroll-view scrollY style='height: 100%;' >
        <View className='heads-content-searchClass-abcc'>
          <Input type='text' className='heads-content-searchClass-abcc-searchInput' onBlur={handleSearch} placeholder='搜索关键字查询订单' />
          <Image src={searchs} className='heads-content-searchClass-abcc-searchInput-searchImg' />
        </View>
        <mp-tabs
          tabClass='tabs-Unselected'
          swiperClass='tabs-swiper'
          activeClass='tabs-Selected'
          current={activeTab}
          activeTab={activeTab}
          tabs={tabs}
          onChange={handleTabChange}
        ></mp-tabs>


        {/* 内容区域 */}
        <View className='cententText'>
          <CarsListContent />
        </View>
      </scroll-view>
    </View>
  )
}
